Skip to main content
`Ctrl`+`K`

# PetscHSetIQueryAdd

Query and add an entry in the hash set

## Synopsis

    #include <petsc/private/hashseti.h>
    PetscErrorCode PetscHSetIQueryAdd(PetscHSetI ht, PetscInt key, PetscBool *missing)

## Input Parameters

- ht - The hash set

- key - The entry

## Output Parameter

- missing - Boolean indicating whether the entry was missing

## See Also

`PetscHSetIQueryDel()`, `PetscHSetIAdd()`, `PetscHSetIHas()`

## Level

developer

## Location

include/petsc/private/hashset.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages